Groovy 1.7.10

## groovy.swing.impl
[Java] Class TableLayoutRow

    java.lang.Object
      groovy.swing.impl.TableLayoutRow

    public class TableLayoutRow
    extends Object

Represents a row in a table layout

Authors:
  James Strachan

Version:
  \$Revision: 11298 \$

Constructor Summary
`TableLayoutRow(TableLayout tableLayoutTag)`

Method Summary
`void` | `addCell(TableLayoutCell tag)` Adds a new cell to this row
`void` | `addComponentsForRow()`
`int` | `getRowIndex()` @return the row index of this row

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TableLayoutRow

    public TableLayoutRow(TableLayout tableLayoutTag)

Method Detail

### addCell

    public void addCell(TableLayoutCell tag)

  Adds a new cell to this row
  Parameters:
    `tag` - the td element

### addComponentsForRow

    public void addComponentsForRow()

### getRowIndex

    public int getRowIndex()

  Returns:
    the row index of this row

Copyright © 2003-2010 The Codehaus. All rights reserved.